Subject: how was work?

From: "Louis Suarez" <[email-masked]>
Date: Thu, 20 Oct 2005 23:26:49 +0000

I noticed this no-charge dating place filled that has a bunch of sex-addicts

No flowers, no walks on the beach, just get together for some action :)
There might also be a few people who want something serious though
And if your into a long-term relationship, or a one-night-stand, you got it ;)

Whatever you might enjoy

http://wheelwalls.com/extra/datingstars/

getmeoff:http://wheelwalls.com/extra/datingstars/getmeoff.php